Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

FINALLY !

Discussion in 'Pro/Adv Discussion' started by Ronbo.mn, Nov 30, 2015.

  1. Ronbo.mn

    Joined:
    Jun 15, 2015
    Messages:
    79
    Likes Received:
    13
    Finally, finally, finally I am back to flying with all of the confidence in the world... and the P3P again flies like a dream machine. It is so much fun!

    I bought a P3P in early June with DJI pilot and I bought a Apple Mini 2, 16gb, WIFI that was completely dedicated to the P3P (this is my first Apple product, so I have no use for it but the P3P). The WIFI Mini 2 was tethered to my Droid hot spot. So using IOS 8.4 and the DJI Pilot (whatever version it was at the time) I was flying like I described above, all summer... it was so much fun! In fact, I even did some flying for the U.S. Army Corps of Engineers (free of course, for a hobbyist).

    Then in early Sept we went up to the cabin and when I got set-up I found the updates from Apple to the IOS 9 and DJI to the GO app. Being really dumb (because I never update windows or any software until it is totally proven.. anyone tried Win 10?) I updated. I go out to fly and I have terrible problems with the FPV video.

    I immediately call Apple and want to know how to revert back to 8.4. I was told that I could not. I explained my problem and Apple told me that it was DJI problem and to talk to them. So, I called DJI... and believe it or not I got through on the first ring. I told the tech what was going on and he (of course) says that the problem is with Apple and I should call them.

    So, I looked for help on this BB and really, no one had any answers other than to delete, re-install and all of the things I had already done to no avail. Or to tell me it is pilot error or no one else has the problem.

    Finally, over the fall time period and losing most of the fall of flying season, I have upgraded to a Mini 4 IOS 9.1, Go 2.4.1, FW 1.4.1 with RC 1.4.3 and I select a channel using Custom and do not use Auto, and now it works like a charm, and I am again having a blast flying, (Unfortunately, today maybe the last time in MN, for a long time to fly).

    The point of the long boring/crying/whining story is this;

    1. When the drone is flying like it should, it is so much fun... as we all know.

    2. When the drone is screwed up and you are not confident flying it, and there is no help, and you are losing out on flying at a great time of the year... it is extremely difficult and frustrating and you really don't need to be told it is not a problem.

    3. From my perspective/experience if you are enjoying the heck out of flying and a new update comes out... really, really question yourself as to why you are updating.

    4. Again, from my perspective/experience, I think DJI has got to get a lot more bata testers out there, testing before releasing an update. I think A LOT of us here are tired of being bata testers, without being told so.

    5. I know there will be some here that will tell me that it is pilot error or no one else has this problem or I am so stupid ... but be assured, I WLL NEVER EVER update again until a lot more Mikey's come forward... and as I see it at this time, only 117 out of 4500 have responded to "Flight Reports Only, FW 1.5.30".

    Ronbo
     
    Reed L and skyhighdiver like this.
  2. John Locke

    Joined:
    Jun 26, 2015
    Messages:
    2,962
    Likes Received:
    1,112
    Location:
    Yorba Linda, CA
    I've got the same Mini2 with 8.4 IOS. I'm not ungrading to 9 until DJI says it's fixed. I've heard this problem from others, however somehow the beta testers didn't try this OS migration, hence it's now a problem for many of us since DJI "THINKS" it's not their problem. I just wanted to confirm that you have never been able to get your Mini2 working with GO correctly with IOS9 using the same settings you have successfully flown with the Mini4 with same version GO using IOS9, correct?
     
  3. Ronbo.mn

    Joined:
    Jun 15, 2015
    Messages:
    79
    Likes Received:
    13
    I bought the Mini 4 in the meantime and progressed from that point (IOS 9.xx to 9.1 and app from 2.4 to 2.4.1), so I can not confirm that my Mini 2 would work in the same configuration I am using today.
     
  4. Ronbo.mn

    Joined:
    Jun 15, 2015
    Messages:
    79
    Likes Received:
    13
    I would ask why do you want to update? Yes the automation (or what ever it is called) is nice. But what I found I use it very little. I like flying the drone and I can do a pretty good job of a POI or anything else manually. Since I am not mapping or professionally videoing, I have found that I love to fly manually... lets get some obstetrical racing going!!!
     
  5. rene van der meer

    Joined:
    Oct 16, 2015
    Messages:
    377
    Likes Received:
    70
    Hello Ronbo,

    Flying is a lot of fun, but if you cannot due to whatever, it can also be a pain.
    I understand your update statement and agree to a certain extent also with you.
    But what would happen if you experience for instance an accident that was caused by a FW error that was already solved in an update?
     
  6. Dirby

    Joined:
    Mar 14, 2014
    Messages:
    817
    Likes Received:
    128
    Location:
    Dothan Al
    when i had talked to the powers to be at DJI they said to do every up date when it comes out.
     
    rene van der meer likes this.
  7. JKDSensei

    Joined:
    Jun 24, 2015
    Messages:
    1,511
    Likes Received:
    658
    Location:
    USA
    Some disagree...but I find this to be reasonable and sound advice. I delay consideration of any updates until WELL after many have Beta tested for me for some time. If everyone did this, I guess DJI would just have to get it "right" before release, every time....oh wait!
     
  8. Reed L

    Joined:
    Sep 13, 2015
    Messages:
    1,273
    Likes Received:
    391
    Location:
    Alta, Ca.
    If it ain't broke, don't fix it has always worked for me and even more so with these beta-style updates. I use my wife's 2 year old Samsung Note 3 with tons of apps and everything on it and it works fine at 1.3.2, yes it drifts a little, that was addressed in the next update but I can live with a little drift. In atti mode with the drift it's no different then flying a $75.00 cheapie other than with the cheapie's, they usually have compensation buttons to straighten it out. But it works fine and I can still hand catch from a chair with some effort if the drift is really hitting, but basically the only reason that I am not updating is because I am waiting for reliability updates from people here. Because I use an old phone for a tablet, the next update has me thinking that these older phones or tablets may not be supported like what happened to me with the 1.4.01, it just didn't work. 1.5...? who knows, but being that I won't be able to downgrade back to a proven working platform if it doesn't work, I flat out won't do it. If the 1.5... update could be taken back to an update that works for me like the 1.3.2, I would do it right now. But because 1.4.01 didn't work, I'm happy with having a little drift here and there on a well working machine with my old phone. I have thought about a tablet but my photography isn't for fpv, it's for the big screen tv after everything is edited.